summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2019-10-08 14:55:54 -0400
committerCraig Andrews <candrews@gentoo.org>2019-10-08 14:56:20 -0400
commitb1d8ef8a014bc7e32cea4f6b80ca9e28cad5c794 (patch)
treebee0b9dd7f278436a0d096d54e3ee395b250ea6a
parentnet-analyzer/netdata: Fix typo when calling fowners (diff)
downloadgentoo-b1d8ef8a014bc7e32cea4f6b80ca9e28cad5c794.tar.gz
gentoo-b1d8ef8a014bc7e32cea4f6b80ca9e28cad5c794.tar.bz2
gentoo-b1d8ef8a014bc7e32cea4f6b80ca9e28cad5c794.zip
dev-libs/rapidjson: Correct DOC and LIB dirs, https homepage, EAPI=7
Closes: https://bugs.gentoo.org/696978 Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Craig Andrews <candrews@gentoo.org>
-rw-r--r--dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild53
-rw-r--r--dev-libs/rapidjson/rapidjson-9999.ebuild6
2 files changed, 57 insertions, 2 deletions
diff --git a/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild b/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild
new file mode 100644
index 00000000000..bd6b5e3e367
--- /dev/null
+++ b/dev-libs/rapidjson/rapidjson-1.1.0-r2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="A fast JSON parser/generator for C++ with both SAX/DOM style API"
+HOMEPAGE="https://rapidjson.org/"
+
+LICENSE="MIT"
+IUSE="doc examples test"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/miloyip/rapidjson.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/miloyip/rapidjson/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/rapidjson-${PV}"
+fi
+
+DEPEND="
+ doc? ( app-doc/doxygen )
+ test? (
+ dev-cpp/gtest
+ dev-util/valgrind
+ )"
+RDEPEND=""
+
+PATCHES=(
+ "${FILESDIR}/${P}-gcc-7.patch"
+)
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ sed -i -e 's|-Werror||g' CMakeLists.txt || die
+ sed -i -e 's|-Werror||g' example/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DDOC_INSTALL_DIR="${EPREFIX}/usr/share/doc/${PF}"
+ -DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
+ -DRAPIDJSON_BUILD_DOC=$(usex doc)
+ -DRAPIDJSON_BUILD_EXAMPLES=$(usex examples)
+ -DRAPIDJSON_BUILD_TESTS=$(usex test)
+ -DRAPIDJSON_BUILD_THIRDPARTY_GTEST=OFF
+ )
+ cmake-utils_src_configure
+}
diff --git a/dev-libs/rapidjson/rapidjson-9999.ebuild b/dev-libs/rapidjson/rapidjson-9999.ebuild
index 160fb5e9d92..392fbf7059f 100644
--- a/dev-libs/rapidjson/rapidjson-9999.ebuild
+++ b/dev-libs/rapidjson/rapidjson-9999.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit cmake-utils
DESCRIPTION="A fast JSON parser/generator for C++ with both SAX/DOM style API"
-HOMEPAGE="http://rapidjson.org/"
+HOMEPAGE="https://rapidjson.org/"
LICENSE="MIT"
IUSE="doc examples test"
@@ -39,6 +39,8 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
+ -DDOC_INSTALL_DIR="${EPREFIX}/usr/share/doc/${PF}"
+ -DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
-DRAPIDJSON_BUILD_DOC=$(usex doc)
-DRAPIDJSON_BUILD_EXAMPLES=$(usex examples)
-DRAPIDJSON_BUILD_TESTS=$(usex test)